

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-generic/sections.h |    1 +
 25-akpm/include/asm-ia64/sections.h    |    1 -
 25-akpm/include/asm-ppc/sections.h     |    2 --
 25-akpm/include/asm-sparc64/sections.h |    2 +-
 include/asm-alpha/sections.h           |    0 
 include/asm-arm/sections.h             |    0 
 include/asm-arm26/sections.h           |    0 
 include/asm-cris/sections.h            |    0 
 include/asm-frv/sections.h             |    0 
 include/asm-h8300/sections.h           |    0 
 include/asm-i386/sections.h            |    0 
 include/asm-m32r/sections.h            |    0 
 include/asm-m68k/sections.h            |    0 
 include/asm-m68knommu/sections.h       |    0 
 include/asm-mips/sections.h            |    0 
 include/asm-parisc/sections.h          |    0 
 include/asm-ppc64/sections.h           |    0 
 include/asm-s390/sections.h            |    0 
 include/asm-sh/sections.h              |    0 
 include/asm-sh64/sections.h            |    0 
 include/asm-sparc/sections.h           |    0 
 include/asm-um/sections.h              |    0 
 include/asm-v850/sections.h            |    0 
 include/asm-x86_64/sections.h          |    0 
 24 files changed, 2 insertions(+), 4 deletions(-)

diff -puN include/asm-alpha/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-alpha/sections.h
diff -puN include/asm-arm26/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-arm26/sections.h
diff -puN include/asm-arm/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-arm/sections.h
diff -puN include/asm-cris/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-cris/sections.h
diff -puN include/asm-frv/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-frv/sections.h
diff -puN include/asm-generic/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-generic/sections.h
--- 25/include/asm-generic/sections.h~gp-rel-data-support-vs-bk-kbuild-fix	2004-12-29 02:39:15.890063072 -0800
+++ 25-akpm/include/asm-generic/sections.h	2004-12-29 02:39:47.756218680 -0800
@@ -8,5 +8,6 @@ extern char _data[], _sdata[], _edata[];
 extern char __bss_start[], __bss_stop[];
 extern char __init_begin[], __init_end[];
 extern char _sinittext[], _einittext[];
+extern char _end[];
 
 #endif /* _ASM_GENERIC_SECTIONS_H_ */
diff -puN include/asm-h8300/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-h8300/sections.h
diff -puN include/asm-i386/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-i386/sections.h
diff -puN include/asm-ia64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-ia64/sections.h
--- 25/include/asm-ia64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix	2004-12-29 02:39:15.950053952 -0800
+++ 25-akpm/include/asm-ia64/sections.h	2004-12-29 02:40:21.446097040 -0800
@@ -17,7 +17,6 @@ extern char __start_gate_vtop_patchlist[
 extern char __start_gate_fsyscall_patchlist[], __end_gate_fsyscall_patchlist[];
 extern char __start_gate_brl_fsys_bubble_down_patchlist[], __end_gate_brl_fsys_bubble_down_patchlist[];
 extern char __start_unwind[], __end_unwind[];
-extern char _end[];		/* end of kernel image */
 
 #endif /* _ASM_IA64_SECTIONS_H */
 
diff -puN include/asm-m32r/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-m32r/sections.h
diff -puN include/asm-m68knommu/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-m68knommu/sections.h
diff -puN include/asm-m68k/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-m68k/sections.h
diff -puN include/asm-mips/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-mips/sections.h
diff -puN include/asm-parisc/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-parisc/sections.h
diff -puN include/asm-ppc64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-ppc64/sections.h
diff -puN include/asm-ppc/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-ppc/sections.h
--- 25/include/asm-ppc/sections.h~gp-rel-data-support-vs-bk-kbuild-fix	2004-12-29 02:39:16.087033128 -0800
+++ 25-akpm/include/asm-ppc/sections.h	2004-12-29 02:40:12.547449840 -0800
@@ -4,8 +4,6 @@
 
 #include <asm-generic/sections.h>
 
-extern char _end[];
-
 #define __pmac __attribute__ ((__section__ (".pmac.text")))
 #define __pmacdata __attribute__ ((__section__ (".pmac.data")))
 #define __pmacfunc(__argpmac) \
diff -puN include/asm-s390/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-s390/sections.h
diff -puN include/asm-sh64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-sh64/sections.h
diff -puN include/asm-sh/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-sh/sections.h
diff -puN include/asm-sparc64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-sparc64/sections.h
--- 25/include/asm-sparc64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix	2004-12-29 02:39:16.169020664 -0800
+++ 25-akpm/include/asm-sparc64/sections.h	2004-12-29 02:40:40.878142920 -0800
@@ -4,6 +4,6 @@
 /* nothing to see, move along */
 #include <asm-generic/sections.h>
 
-extern char _end[], _start[];
+extern char _start[];
 
 #endif
diff -puN include/asm-sparc/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-sparc/sections.h
diff -puN include/asm-um/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-um/sections.h
diff -puN include/asm-v850/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-v850/sections.h
diff -puN include/asm-x86_64/sections.h~gp-rel-data-support-vs-bk-kbuild-fix include/asm-x86_64/sections.h
_
